SPI_NEW_DEVICE(9)

NAME
spi_new_device - instantiate one new SPI device

SYNOPSIS

struct spi_device * spi_new_device(struct spi_master * master, struct spi_board_info * chip);

ARGUMENTS

master
    Controller to which device is connected

chip
    Describes the SPI device

CONTEXT

can sleep

DESCRIPTION

On typical mainboards, this is purely internal; and it's not needed after board init creates the hard-wired devices. Some development platforms may not be able to use spi_register_board_info though, and this is exported so that for example a USB or parport based adapter driver could add devices (which it would learn about out-of-band).

Returns the new device, or NULL.

COPYRIGHT